Skip to main content
GET
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
provider_id
string
required

Query Parameters

grant_type
enum<string>
default:authorization_code

Grant type for OAuth 2.0.

Available options:
authorization_code,
client_credentials

Response

Successful Response

Response model for user integration.

id
string<uuid4>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_id
string
required
token_type
string
required
expires_at
string<date-time> | null
required
status
enum<string>
required

Status of an integration.

Available options:
not_configured,
configured,
connected,
reauth_required
is_expired
boolean
required
user_id
string<uuid> | null
authorization_endpoint
string | null

OAuth authorization endpoint configured for this integration.

token_endpoint
string | null

OAuth token endpoint configured for this integration.

client_id
string | null

OAuth client ID for the provider

granted_scopes
string[] | null

OAuth scopes granted for this integration

requested_scopes
string[] | null

OAuth scopes requested by user for this integration